local f = CreateFrame("Frame")
f:RegisterEvent("ARENA_PREP_OPPONENT_SPECIALIZATIONS")
f:SetScript("OnEvent", function()
    if InCombatLockdown() then return end
    local healerIndex = 0
    for index = 1, 3 do
        local specID = GetArenaOpponentSpec(index)
        if (specID and specID > 0) then
            local _, _, _, _, role = GetSpecializationInfoByID(specID)
            if role == "HEALER" then
                healerIndex = index
                break
            end
        end
    end
    
    if healerIndex > 0 then
        local global, char = GetNumMacros()
        for i = 1, (char + 120) do
            if (i <= global) or (i > 119) then
                local name, icon, body = GetMacroInfo(i)
                if body and body:find("#ATH") then
                    body = body:gsub("/tar arena%d", "/tar arena"..healerIndex)
                    body = body:gsub("/focus arena%d", "/focus arena"..healerIndex)
                    EditMacro(name, name, icon, body)
                end
            end
        end
    end
end)